-- Customer specific once-script AAAH#36372.
-- Kopieer flexveld naar nieuw standaardveld

SET ECHO ON
SET DEFINE ON
column fcltlogfile new_value fcltlogfile NOPRINT;

SELECT UPPER (USER) || '_AAGN#36372' || '.lst' AS fcltlogfile FROM DUAL;

spool &fcltlogfile
SET DEFINE OFF;

-- key 1060 = gebouwkenmerk 'Contactpersoon e-mail'
UPDATE alg_gebouw
   SET alg_gebouw_email =
          (SELECT alg_onrgoedkenmerk_waarde
             FROM alg_onrgoedkenmerk
            WHERE alg_kenmerk_key = 1060
              AND alg_gebouw_key = alg_onrgoed_key)
 WHERE EXISTS
          (SELECT 1
             FROM alg_onrgoedkenmerk
            WHERE alg_gebouw_key = alg_onrgoed_key
              AND alg_kenmerk_key = 1060
              AND alg_gebouw_key = alg_onrgoed_key
              AND alg_gebouw_verwijder IS NULL);

COMMIT;

BEGIN adm.systrackscriptId('$Id$'); END;
/

SPOOL OFF
QUIT

